import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';



const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 20;
const eyeOffsetX = 90;
const eyeOffsetY = 100;
const eyeRadius = 40;
const mouthWidth = 20;
const mouthRadius = 180;

const mouthArc = arc()
    .innerRadius(mouthRadius)
    .outerRadius(mouthRadius + mouthWidth)
    .startAngle(Math.PI / 2)
    .endAngle(Math.PI * 3 / 2);

const App = () => (
  <svg width={width} height={height}>
    <g transform={`translate(${centerX}, ${centerY})`}>
      <circle
        r={centerY - strokeWidth / 2}
        fill="yellow"
        stroke="black"
        stroke-width={strokeWidth}
      />
      <circle 
        cx={- eyeOffsetX}
        cy={- eyeOffsetY} 
        r={eyeRadius} 
        fill="white"
        stroke="black"
        stroke-width="5"
        />
      <circle 
        cx={- eyeOffsetX}
        cy={- eyeOffsetY} 
        r={eyeRadius -30} 
        fill="black"
        />
      <circle 
        cx={+ eyeOffsetX}
        cy={- eyeOffsetY} 
        r={eyeRadius} 
        fill="white"
        stroke="black"
        stroke-width="5"
        />
      <circle 
        cx={+ eyeOffsetX}
        cy={- eyeOffsetY} 
        r={eyeRadius - 30} 
        fill="black"
        />
      <ellipse 
        cx="0" 
        cy="30" 
        rx="80" 
        ry="60" 
        fill="red"/>
      <path 
        d={mouthArc()} />
      <line 
        x1="50" 
        y1="-195" 
        x2="140" 
        y2="-175" 
        stroke="black" 
        stroke-width="5"/>
      <line 
        x1="-140" 
        y1="-175" 
        x2="-50" 
        y2="-195" 
        stroke="black" 
        stroke-width="5"/>
      
    </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
